#include <bits/stdc++.h>
#define pb push_back
#define ll long long

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    ll n,br=0;cin>>n;vector<ll>vec(n),vec1(n),vec2(n),vec3;
    for(ll i=0;i<n;i++){
        cin>>vec[i];
    }
    for(ll i=0;i<n;i++){
        cin>>vec1[i];
    }
        for(ll i=0;i<n;i++){
        cin>>vec2[i];
    }
    for(ll i=0;i<n;i++){
        for(ll j=0;j<n;j++){
            if(vec[i]==vec1[j]){
            vec3.pb(j+1);
        }
        }

    }
    for(ll i=0;i<n;i++){
        for(ll j=0;j<vec3.size();j++){
            if(vec2[i]==vec3[j])br++;
           // cout<<vec3[j]<<endl;
        }
    }
    cout<<br;
    return 0;
}